Intrusion Prevention

Cisco.IOS.SNMP.Remote.Code.Execution

Description

This indicates an attack attempt to exploit a Remote Code Execution vulnerability in Cisco IOS.
The vulnerability is due to a buffer overflow issue in the application when handling a malicious SNMP packet. An attacker can exploit this to execute arbitrary code within the context of the application, via a crafted SNMP packet.

Affected Products

Cisco IOS 12.0 through 12.4 and 15.0 through 15.6 and IOS XE 2.2 through 3.17

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170629-snmp

CVE References

CVE-2017-6736